<?php
/**
 * Copyright 2018 University of Liverpool
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace pgb_liv\php_ms\Constant;

/**
 * Static class containing physical constant values in daltons.
 *
 * @see https://physics.nist.gov/cuu/Constants/index.html
 * @author Andrew Collins
 */
class PhysicalConstants
{

    /**
     * Mass of an electron
     *
     * @var double
     */
    const ELECTRON_MASS = 0.000548579909070;

    /**
     * Mass of a proton
     *
     * @var double
     */
    const PROTON_MASS = 1.007276466879;
}
