<?php
/**
 * Copyright 2019 University of Liverpool
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace pgb_liv\php_ms\Reader\HupoPsi;

/**
 * Constant class for storing commonly used verbs across HUPO-PSI parsed files
 *
 * @author Andrew Collins
 */
class PsiVerb
{

    const CV_ACCESSION = 'accession';

    const CV_VALUE = 'value';

    const CV_NAME = 'name';

    const CV_UNITACCESSION = 'unitAccession';

    const NCBI_TAX_ID = 'NcbiTaxId';

    const TAX_NAME = 'TaxName';

    const DB_NAME = 'DbName';

    const DB_VERSION = 'DbVersion';

    const DB_SOURCE = 'DbSource';

    const SEQUENCE_TYPE = 'SequenceType';

    const NUMBER_OF_ENTRIES = 'NumberOfEntries';
}
